//* Problem  : 1539 - Palindrome Problem El Borpem Ord Nilap
//* Contest  : acm.tju.edu.cn
//* Type     : Solution
//* Date     : 2007.07.24
//* Author   : alt
//* Language : C++
//* Compiler : Microsoft Visual C++ 6.0

#include <stdio.h>
#include <math.h>
#include <string.h>
#include <stdlib.h>
#include <time.h>

//#define ONLINE_JUDGE
char s[100], a[100];


int main()
{
	gets(s);
	while (strcmp(s, "THE END."))
	{
		int is = 0, ia = 0, fOk, i;
		while (s[is])
		{
			if (s[is]>='a' && s[is]<='z') a[ia++] = s[is];
				else if (s[is]>='A' && s[is]<='Z') a[ia++] = s[is]-'A'+'a';
			is++;
		}
		fOk = 1;
		for (i = 0; i < ia/2; i++)
			if (a[i] != a[ia-i-1]) {fOk = 0; break;}
		if (fOk) printf("Yes\n");
			else printf("No\n");
		gets(s);

	}
}